Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1958)
+++ palm/trunk/SOURCE/header.f90	(revision 1960)
@@ -19,5 +19,7 @@
 ! Current revisions:
 ! -----------------
-! 
+! Treat humidity and passive scalar separately.
+! Modify misleading information concerning humidity.
+! Bugfix, change unit for humidity flux.
 ! 
 ! Former revisions:
@@ -266,5 +268,6 @@
 
     USE arrays_3d,                                                             &
-        ONLY:  pt_init, qsws, q_init, sa_init, shf, ug, vg, w_subs, zu, zw
+        ONLY:  pt_init, qsws, q_init, s_init, sa_init, shf, ug, vg, w_subs, zu,&
+               zw
         
     USE control_parameters
@@ -1022,10 +1025,10 @@
 
     IF ( passive_scalar )  THEN
-       IF ( ibc_q_b == 0 )  THEN
+       IF ( ibc_s_b == 0 )  THEN
           r_lower = 's(0)     = s_surface'
        ELSE
           r_lower = 's(0)     = s(1)'
        ENDIF
-       IF ( ibc_q_t == 0 )  THEN
+       IF ( ibc_s_t == 0 )  THEN
           r_upper =  's(nzt)   = s_top'
        ELSE
@@ -1052,6 +1055,6 @@
           ENDIF
        ENDIF
-       IF ( passive_scalar  .AND.  constant_waterflux )  THEN
-          WRITE ( io, 313 ) surface_waterflux
+       IF ( passive_scalar  .AND.  constant_scalarflux )  THEN
+          WRITE ( io, 313 ) surface_scalarflux
        ENDIF
     ENDIF
@@ -1070,7 +1073,6 @@
           WRITE ( io, 309 )  top_salinityflux
        ENDIF
-       IF ( humidity  .OR.  passive_scalar )  THEN
-          WRITE ( io, 315 )
-       ENDIF
+       IF ( humidity       )  WRITE ( io, 315 )
+       IF ( passive_scalar )  WRITE ( io, 315 )
     ENDIF
 
@@ -1083,5 +1085,5 @@
           WRITE ( io, 312 )
        ENDIF
-       IF ( passive_scalar  .AND.  .NOT. constant_waterflux )  THEN
+       IF ( passive_scalar  .AND.  .NOT. constant_scalarflux )  THEN
           WRITE ( io, 314 )
        ENDIF
@@ -1153,5 +1155,5 @@
 !-- Initial humidity profile
 !-- Building output strings, starting with surface humidity
-    IF ( humidity  .OR.  passive_scalar )  THEN
+    IF ( humidity )  THEN
        WRITE ( temperatures, '(E8.1)' )  q_surface
        gradients = '--------'
@@ -1181,14 +1183,43 @@
        ENDDO
 
-       IF ( humidity )  THEN
-          IF ( .NOT. nudging )  THEN
-             WRITE ( io, 421 )  TRIM( coordinates ), TRIM( temperatures ), &
-                                TRIM( gradients ), TRIM( slices )
-          ENDIF
-       ELSE
-          WRITE ( io, 422 )  TRIM( coordinates ), TRIM( temperatures ), &
+       IF ( .NOT. nudging )  THEN
+          WRITE ( io, 421 )  TRIM( coordinates ), TRIM( temperatures ),        &
                              TRIM( gradients ), TRIM( slices )
        ENDIF
     ENDIF
+!
+!-- Initial scalar profile
+!-- Building output strings, starting with surface humidity
+    IF ( passive_scalar )  THEN
+       WRITE ( temperatures, '(E8.1)' )  s_surface
+       gradients = '--------'
+       slices = '       0'
+       coordinates = '     0.0'
+       i = 1
+       DO  WHILE ( s_vertical_gradient_level_ind(i) /= -9999 )
+          
+          WRITE (coor_chr,'(E8.1,4X)')  s_init(q_vertical_gradient_level_ind(i))
+          temperatures = TRIM( temperatures ) // '  ' // TRIM( coor_chr )
+
+          WRITE (coor_chr,'(E8.1,4X)')  s_vertical_gradient(i)
+          gradients = TRIM( gradients ) // '  ' // TRIM( coor_chr )
+          
+          WRITE (coor_chr,'(I8,4X)')  s_vertical_gradient_level_ind(i)
+          slices = TRIM( slices ) // '  ' // TRIM( coor_chr )
+          
+          WRITE (coor_chr,'(F8.1,4X)')  s_vertical_gradient_level(i)
+          coordinates = TRIM( coordinates ) // '  '  // TRIM( coor_chr )
+
+          IF ( i == 10 )  THEN
+             EXIT
+          ELSE
+             i = i + 1
+          ENDIF
+
+       ENDDO
+
+       WRITE ( io, 422 )  TRIM( coordinates ), TRIM( temperatures ),           &
+                          TRIM( gradients ), TRIM( slices )
+    ENDIF    
 
 !
@@ -1995,5 +2026,5 @@
 310 FORMAT (//'    1D-Model:'// &
              '       Rif value range:   ',F6.2,' <= rif <=',F6.2)
-311 FORMAT ('       Predefined constant humidity flux: ',E10.3,' m/s')
+311 FORMAT ('       Predefined constant humidity flux: ',E10.3,' kg/kg m/s')
 312 FORMAT ('       Predefined surface humidity')
 313 FORMAT ('       Predefined constant scalar flux: ',E10.3,' kg/(m**2 s)')
@@ -2158,6 +2189,5 @@
 430 FORMAT (//' Cloud physics quantities / methods:'/ &
               ' ----------------------------------'/)
-431 FORMAT ('    Humidity is treated as purely passive scalar (no condensati', &
-                 'on)')
+431 FORMAT ('    Humidity is considered, bu no condensation')
 432 FORMAT ('    Bulk scheme with liquid water potential temperature and'/ &
             '    total water content is used.'/ &
